## ros-foxy-moveit-ros-benchmarks 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_ros_benchmarks)

set(MOVEIT_LIB_NAME moveit_ros_benchmarks)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_warehouse REQUIRED)
find_package(pluginlib REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

include_directories(include)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rclcpp
  Boost
  tf2_eigen
  moveit_ros_planning
  moveit_ros_warehouse
  pluginlib
)

add_library(${MOVEIT_LIB_NAME} SHARED
  src/BenchmarkOptions.cpp
  src/BenchmarkExecutor.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
if(WIN32)
  set(EXTRA_LIB ws2_32.lib)
endif()
ament_target_dependencies(${MOVEIT_LIB_NAME}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(${MOVEIT_LIB_NAME} ${EXTRA_LIB})

add_executable(moveit_run_benchmark src/RunBenchmark.cpp)
ament_target_dependencies(moveit_run_benchmark
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(moveit_run_benchmark ${MOVEIT_LIB_NAME})

add_executable(moveit_combine_predefined_poses_benchmark src/simple_benchmarks/CombinePredefinedPosesBenchmark.cpp)
ament_target_dependencies(moveit_combine_predefined_poses_benchmark
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(moveit_combine_predefined_poses_benchmark ${MOVEIT_LIB_NAME})

install(
  TARGETS ${MOVEIT_LIB_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  TARGETS
    moveit_run_benchmark
    moveit_combine_predefined_poses_benchmark
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include
)

install(PROGRAMS scripts/moveit_benchmark_statistics.py
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY examples/
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_pep257_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-foxy-moveit-ros-benchmarks (2.2.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.2.2-1focal) focal; urgency=high

  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Contributors: Akash, Lior Lustgarten, Tyler Weaver, Vatan Aksoy Tezer, Henning Kayser, Jorge Nicho, Nisala Kalupahana, Jafar Abdi

 -- Dave Coleman <dave@picknik.ai>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.2.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.2.0-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.1.4-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.1.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.1.1-1focal) focal; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (2.1.0-1focal) focal; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [ros2-migration] Enable warehouse in moveit_ros_benchmarks (#301 <https://github.com/ros-planning/moveit2/issues/301>)
  * [ros2-migration] Port moveit_ros_benchmarks to ROS 2 (#225 <https://github.com/ros-planning/moveit2/issues/225>)
  * Contributors: Lior Lustgarten, Yu Yan

 -- Dave Coleman <dave@picknik.ai>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-moveit-ros-benchmarks (1.1.1-1focal) focal; urgency=high

  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (1.1.0-1focal) focal; urgency=high

  * [feature] Benchmark combinations of predefined poses (#1548 <https://github.com/ros-planning/moveit/issues/1548>)
  * [feature] Support benchmarking of full planning pipelines (#1531 <https://github.com/ros-planning/moveit/issues/1531>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix plot details, correcting xlabels positions and cleaning the graph (#1658 <https://github.com/ros-planning/moveit/issues/1658>) (#1668 <https://github.com/ros-planning/moveit/issues/1668>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix usage of panda_moveit_config (#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Do not install helper scripts in global bin destination (#1704 <https://github.com/ros-planning/moveit/issues/1704>)
  * [maint] Cleanup launch + config files (#1631 <https://github.com/ros-planning/moveit/issues/1631>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Dave Coleman, Henning Kayser, Jonathan Binney, Mahmoud Ahmed Selim, Markus Vieth, Michael Görner, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (1.0.6-1focal) focal; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10, Fix warnings
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Wed, 19 Aug 2020 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (1.0.5-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Jul 2020 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (1.0.4-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 30 May 2020 06:00:00 -0000

ros-foxy-moveit-ros-benchmarks (1.0.3-1focal) focal; urgency=high

  * [feature] MoveIt benchmark improvements (#1510 <https://github.com/ros-planning/moveit/issues/1510>)
    * Add pseudo experiment all_experiments to allow comparing all entries
    * Expose loadBenchmarkQueryData() for setting up custom queries
    * Add benchmark entry for comparing the 'final' result trajectory


=== debian/control ===
Source: ros-foxy-moveit-ros-benchmarks
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libboost-date-time-dev, libboost-dev, libboost-filesystem-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-moveit-common, ros-foxy-moveit-ros-planning, ros-foxy-moveit-ros-warehouse, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-tf2-eigen, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-ros-benchmarks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-date-time1.71.0, libboost-filesystem1.71.0, ros-foxy-moveit-ros-planning, ros-foxy-moveit-ros-warehouse, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-tf2-eigen, ros-foxy-ros-workspace
Description: Enhanced tools for benchmarks in MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-moveit-ros-benchmarks//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
